Bug 1961064 - Documentation link to network policies is outdated
Summary: Documentation link to network policies is outdated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.8.0
Assignee: Joel Takvorian
QA Contact: Xiyun Zhao
URL:
Whiteboard:
Depends On:
Blocks: 1963025
TreeView+ depends on / blocked
 
Reported: 2021-05-17 07:10 UTC by Joel Takvorian
Modified: 2021-07-27 23:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1963025 (view as bug list)
Environment:
Last Closed: 2021-07-27 23:08:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8869 0 None open Bug 1961064: Fix documentation link to network policies 2021-05-17 07:16:30 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:08:57 UTC

Description Joel Takvorian 2021-05-17 07:10:19 UTC
Description of problem:

In a network policy details page, under section "Ingress rules", there's an explanation text followed by a link to OCP/OKD/Kube documentation (depending on context). The link for OKD or OCP is wrong, e.g. "https://docs.okd.io/latest/networking/configuring-networkpolicy.html" instead of "https://docs.okd.io/latest/networking/network_policy/about-network-policy.html".


Version-Release number of selected component (if applicable):

4.7.0

How reproducible:


Steps to Reproduce:
1. Create a network policy
2. Go to its details page
3. Check link following text "Pods accept all traffic etc."

Actual results:

page not found


Expected results:

page found

Additional info:

Comment 1 Joel Takvorian 2021-05-17 07:11:04 UTC
PR: https://github.com/openshift/console/pull/8869

Comment 3 Xiyun Zhao 2021-05-24 07:29:56 UTC
This bug has been fixed and verified on payload 4.8.0-0.nightly-2021-05-21-233425

Pre-condition
1. Create a network policy
Verify step:
1. Go to Networking-> Networkpolicy details page
2. Verify if the link of "NetworkPolicies documentation" can be redirect to "<Base URL of OCP container-platform related version>/networking/network_policy/about-network-policy.html"
3. Verify if the description on Ingress rules part on network policy detail page has been update as below:
   Pods accept all traffic by default. They can be isolated via NetworkPolicies which specify a whitelist of ingress rules. When a Pod is selected by a NetworkPolicy, it will reject all traffic not explicitly allowed via a NetworkPolicy. See more details in:
4. Add '?pseudolocalization=true&lng=en' at the end of URL
5. Verify if the description and link is shown as i18n format correctly on Ingress rules part on network policy detail page

Result:
2. The redirect link of 'NetworkPolicy documentation' has been update to "<Base URL of OCP container-platform related version>/networking/network_policy/about-network-policy.html"
3. The description on Ingress rules part on network policy detail page is update and shown as below
   Pods accept all traffic by default. They can be isolated via NetworkPolicies which specify a whitelist of ingress rules. When a Pod is selected by a NetworkPolicy, it will reject all traffic not explicitly allowed via a NetworkPolicy. See more details in:<Hyperlink of 'NetworkPolicy documentaition'>
5. The description and link can be translated.
   [Ṕṓṓḍṡ ααͼͼḛḛṗţ ααḽḽ ţṛααϝϝḭḭͼ ḅẏẏ ḍḛḛϝααṵṵḽţ. Ṫḥḛḛẏẏ ͼααṇ ḅḛḛ ḭḭṡṓṓḽααţḛḛḍ ṽḭḭαα ṄḛḛţẁṓṓṛḳṔṓṓḽḭḭͼḭḭḛḛṡ ẁḥḭḭͼḥ ṡṗḛḛͼḭḭϝẏẏ αα ẁḥḭḭţḛḛḽḭḭṡţ ṓṓϝ ḭḭṇḡṛḛḛṡṡ ṛṵṵḽḛḛṡ. Ŵḥḛḛṇ αα Ṕṓṓḍ ḭḭṡ ṡḛḛḽḛḛͼţḛḛḍ ḅẏẏ αα ṄḛḛţẁṓṓṛḳṔṓṓḽḭḭͼẏẏ, ḭḭţ ẁḭḭḽḽ ṛḛḛĵḛḛͼţ ααḽḽ ţṛααϝϝḭḭͼ ṇṓṓţ ḛḛẋṗḽḭḭͼḭḭţḽẏẏ ααḽḽṓṓẁḛḛḍ ṽḭḭαα αα ṄḛḛţẁṓṓṛḳṔṓṓḽḭḭͼẏẏ. Ṣḛḛḛḛ ṃṓṓṛḛḛ ḍḛḛţααḭḭḽṡ ḭḭṇ: [ṄḛḛţẁṓṓṛḳṔṓṓḽḭḭͼḭḭḛḛṡ ḍṓṓͼṵṵṃḛḛṇţααţḭḭṓṓṇ].]

Comment 6 errata-xmlrpc 2021-07-27 23:08:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.